mce (1.7.19) unstable; urgency=low

  * With the fix for NB#80520 we need to always send the alarm UI state
    to DSME on shutdown
  * Moved product ID check to a separate file, as the first step
    to abstract hardware a bit more

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 28 Mar 2008 18:06:24 +0200

mce (1.7.18) unstable; urgency=low

  * Do not send alarm state change to DSME if the alarm UI state changes;
    hopefully this fixes: NB#80520
  * More code cleanup
  * Corrected various dependency and section information

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Mar 2008 15:47:22 +0200

mce (1.7.17) unstable; urgency=low

  * Fixed various warnings, comments, and added a missing include
  * syslog is now located where it should be (/var/log),
    fix mcetorture accordingly
  * Fixed mcetorture to be able to set unset GConf keys
  * Turn the warnings about attempts to remove non-existing triggers
    into informational messages instead, since such attempts are ignored
    anyway, and since the only remaining such warning is a false positive

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 14 Mar 2008 23:01:34 +0200

mce (1.7.16) unstable; urgency=low

  * Fixed a bug in datapipe.c with reference counting

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 14 Mar 2008 17:05:12 +0200

mce (1.7.15) unstable; urgency=low

  * Rewrote the connection status tracking further; use libconic instead
    of the BlueZ and WLANCond D-Bus interfaces; this way we also get
    information about open WiMAX connections (Fixes: NB#80813)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 12 Mar 2008 15:41:50 +0200

mce (1.7.14) unstable; urgency=low

  * Since mce.init uses files from /usr, we need $remote_fs, not $local_fs
  * Removed unused function from modules/battery.c

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 26 Feb 2008 13:44:47 +0200

mce (1.7.13) unstable; urgency=low

  * Split out the battery handling to a module, as yet another step
    in the code cleanup
  * Made adjustments to the DeviceOn pattern for RX-48
  * Made the PowerOn and PowerOff patterns for RX-48 orange as well

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 22 Feb 2008 12:32:16 +0200

mce (1.7.12) unstable; urgency=low

  * Made configuration file handling more error resilient;
    now the default values will be used if the configuration file
    is invalid or non-existing
  * Bumped the version# in the Doxyfile to 1.7.x
  * Minor cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 18 Feb 2008 16:25:27 +0200

mce (1.7.11) unstable; urgency=low

  * Removed build-dependency on osso-gwconnect-dev

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 08 Feb 2008 10:29:56 +0200

mce (1.7.10) unstable; urgency=low

  * Use BlueZ to get connection status for BT instead of BTCond
    (Fixes: NB#78985)
  * Unblank screen when lock key is pressed
    (Fixes: NB#78446)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 07 Feb 2008 17:31:17 +0200

mce (1.7.9) unstable; urgency=low

  * Modified tklock to make sure that the touchscreen/keypad lock isn't
    deactivated by the initial touchscreen tap when enabling the lock
    (Fixes: NB#80164)
  * Made /etc/mce/mce.init report status in a working way
    (Fixes: NB#79379)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 06 Feb 2008 18:18:13 +0200

mce (1.7.8) unstable; urgency=low

  * Fixed a copy'n'paste error introduced in mce 1.7.6,
    that caused mono-patterns not to work.

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 01 Feb 2008 16:06:35 +0200

mce (1.7.7) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3
    | No changes required
  * Fixed a few Lintian warnings

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 01 Feb 2008 12:04:19 +0200

mce (1.7.6) unstable; urgency=low

  * Made it possible to have different LED patterns for different products
  * Made the DeviceOn pattern for the RX-48 orange
  * Disable touchscreen and keypad events on soft poweroff
    (Fixes: MB#2400)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 30 Jan 2008 09:33:50 +0200

mce (1.7.5) unstable; urgency=low

  * Bumped channel size for NJoy patterns to properly fit
    16 commands / channel
  * Send a PERIPHERAL_ACTIVITY message to DSME on lockkey trigger
    (Fixes: NB#76607)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 26 Nov 2007 08:34:26 +0000

mce (1.7.4) unstable; urgency=low

  * Properly unreference resources in mce_unregister_io_monitor
  * Fixed broken test in mcetorture

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 13 Nov 2007 12:01:38 +0200

mce (1.7.3) unstable; urgency=low

  * Only allow display dim/blank when in normal user mode
    (Fixes: NB#72832)
  * Added reference count callback functionality to datapipes
  * Made event-touchscreen use the new functionality to disable
    the touchscreen monitoring when no triggers/filters are registered
  * Don't forget to send shutdown indication when going to
    ACTDEAD state from USER state
  * Enabled more warnings at build-time
  * Fixed a (harmless) warning in mce-io

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 01 Nov 2007 15:22:30 +0200

mce (1.7.2) unstable; urgency=low

  * Made keyboard backlight timeout and fade time configurable

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 20 Oct 2007 06:57:14 +0300

mce (1.7.1) unstable; urgency=low

  * The LED-framework keeps track of the display state itself;
    do not enable/disable patterns based on display state from other places
  * Improved logging for cases when we get un-expected states from DSME
  * Improved the error handling in daemonize()
  * Code cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 20 Oct 2007 06:10:22 +0300

mce (1.7.0) unstable; urgency=low

  * Updated manual pages to cover new features of mcetool and mcetorture
  * Fixed lintian complaints about (correctly used) hyphens in the manual
    pages by explicity using the escape codes instead
  * Changed deprecated substvar Source-Version in debian/control to
    binary:Version instead
  * Do not send BLANK_ALLOW immediately on charger disconnect or change of
    the "keep display on with charger" option if there is a timeout
    in place (NB#72905)
  * Disable [power] until power on transition has finished (NB#52440)
  * Do not send BLANK_ALLOW to DSME if the charger is connected and the
    "keep display on with charger" option is set (NB#72492)
  * Fixed vararg leaks in error paths of mcetool and mce-dbus
  * Fixed possible return of uninitialised value from mce_read_number_string()
  * Made mce_read_number_string() only assign a value if the read and
    conversion was successful; otherwise only return FALSE; this way
    the caller can pass a default value into the function without having
    it modified if the conversion fails
  * Fixed possible leak in change_devlock_code()
  * Fixed possible overrun of static array in validate_devlock_code()
  * dbus_connection_send_with_reply() can return pending_return == NULL
    if the D-Bus connection has been disconnected; handle this case properly
  * Use a longer timeout and fadeout time for the keyboard backlight
  * Fixed incorrect default timeout used for device lock shutdown

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 20 Oct 2007 06:07:11 +0300

mce (1.6.41) unstable; urgency=low

  * Added support for solid light for the mono-LED patterns,
    to properly fix PatternBatteryFull
  * Adjusted PatternDeviceOn to consume less power
  * Fix GConf defaults in mcetool to display sane data if keys are unset
  * Added the missing PatternCommonNotification to mce.ini
  * Fixed name of connectivity soft poweron policy in mce.ini
  * Added GConf brightness testcase to mcetorture
  * Added GConf timeouts testcase to mcetorture
  * Added GConf led testcase to mcetorture
  * Added alarm state testcase to mcetorture
  * Added error injections (invalid number of arguments, invalid data,
    invalid type) for D-Bus to mcetorture
  * Made notes in mcetorture of what tests only torture SystemUI
    rather than mce and added an option to disable those

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 01 Oct 2007 00:20:44 +0300

mce (1.6.40) unstable; urgency=low

  * Made [home] trigger on input instead of output
    (Fixes: NB#70919)
  * Made [power] trigger on input instead of output
  * One more error path memory leak fix for device lock and device menu UI
    reply handler
    | Phew, this is getting repetitive...
  * Fixed mono-LED patterns for DeviceOn, PowerOn, PowerOff, and BatteryFull
  * Fixed name of powerkeymenu-ui testcase in mcetorture
  * Made the powershort and powerlong mcetorture testcases use the
    D-Bus interface instead
  * Improved mcetorture abort-logging a bit
  * Added a bit of input torture to mcetorture (error-events) which
    injects incorrect data into /dev/input/eventX

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 25 Sep 2007 16:44:41 +0300

mce (1.6.39) unstable; urgency=low

  * Adjusted webcam pattern (Fixes: NB#65756)
  * Fixed visibility settings for mono-LED Communication-patterns
    (Fixes: NB#70645)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 24 Sep 2007 15:33:15 +0300

mce (1.6.38) unstable; urgency=low

  * Fix leaks in error paths for device lock and device menu UI reply
    handling

 -- David Weinehall <david.weinehall@nokia.com>  Sun, 23 Sep 2007 03:21:42 +0300

mce (1.6.37) unstable; urgency=low

  * Fixed memory leaks in device lock and device menu UI reply handling
  * Modify datapipes to handle the cache better
    | This fixes a problem where restarts of systemui could trigger
    | the splashscreen
  * Fix typo in debian/mce.zzinitdone.init
  * Remove network_state_pipe since it was unused
  * Reprogram timer for long [home] key press timeout if we receive another
    down event without an up-event between
    | The same change was made earlier for [power], but somehow I forgot to
    | fix [home] too, while at it
  * Made mce-io a bit more resilient to errors, and made it report
    in a better way what's gone wrong if something goes haywire
  * Added options to continue on error,
    and to disable leak checking completely, to mcetorture
  * Added a simple, injection based, test of the powerkey menu to mcetorture
  * Added injection of short and long [home] and [power] keypresses
    into the event files to the testcases in mcetorture
  * Fixed the error message printed by the abort function in mcetorture
  * Better handling of the case where both the powerbutton and home key
    are provided from the same event-file
  * Code simplification in event-touchscreen and event-keypress

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 20 Sep 2007 20:55:27 +0300

mce (1.6.36) unstable; urgency=low

  * Fixed mistakenly trunkated PowerOff pattern
  * Allow the NJoy LED brightness to be in the range from 0-3 instead of 1-3
  * Modify the brightness profiles, to make the LED to be dimmer in darkness
    (Fixes: NB#69504)
  * Doh!  Missed the stop script for the most important runlevel in the kludge

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 17 Sep 2007 15:58:42 +0300

mce (1.6.35) unstable; urgency=low

  * Fixed segfault when unregistering an I/O monitor
  * Modified error-handling for enabling/disabling touchscreen/keypad;
    this should avoid further bugs like NB#69425
  * Minor cleanup
  * Shortened PatternPsychedelia; one of the channels contained too many
    instructions
  * Added an ugly kludge to work around the lack of an init system with
    startup notifications (Fixes: NB#62729)
  * Fix bugs in fakecharger test script

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 13 Sep 2007 17:35:24 +0300

mce (1.6.34) unstable; urgency=low

  * Added code to flush the median filter and re-read the ALS
    after a screen-blank
    | compile-time option
  * Added module tests for mce-io
    | Only partial coverage for now
  * Fixed a few issues found in mce_read_number_string_from_file()
  * Remove transition timeout properly on exit
  * Tuned PowerOn and PowerOff patterns (partial fix for NB#65756)
  * Fixed file descriptor leaks in mce_keypress_exit and mce_touchscreen_exit

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 11 Sep 2007 19:16:02 +0300

mce (1.6.33) unstable; urgency=low

  * Fixed return value of tklock_mode_change_req_dbus_cb when no_reply is set
  * Fixed memory leaks in mce-io.c (Fixes: NB#65714)
  * Fixed memory leak in led.c and made the strncpy handling a bit safer
    | Thanks to Semi Malinen for finding
  * Fixed memory leak in mce-dbus.c
    | Thanks to Semi Malinen for finding
  * LED patterns tuned (partial fix for NB#65756)
  * Modified the D-Bus msg handler to process all handlers for a signal,
    not just the first one, mainly to allow modules to listen to the same
    signals as the main process does
  * Added support for new keyboard interrupt disabling sysfs path
  * Fixed two memory leaks on failed D-Bus startup attempts; these have no
    practical significance, since MCE will abort if D-Bus startup fails,
    but correctness is nice anyway
  * Fixed crash in mcetool when using `--set-tklock-mode'
  * Fixed crash in mcetool when using `--alarm=switchon'
  * Added ctags support to the Makefile
  * Removed unnecessary error-message from the same function
  * Added support for silent unlocking of tklock
  * Added a tklock test to mcetorture
  * Added a led test to mcetorture
  * Added a voip mode test to mcetorture
  * Improved various mcetorture tests
  * Updated mcetorture manual page
  * Added a `--dont-block' option to mcetool, that causes options
    that normally blocks to return directly, to allow for more torture tests
    | Note: this means that MCE will fail to send the reply to mcetool,
    | since mcetool will no longer be running by the time MCE sends the reply
  * Added LED-testing support to mcetool
  * Cleaned up the D-Bus error-handling in mcetool a little
  * Updated the mcetool manual page
  * Removed the ifdef's for MCE_VERSION_GET from mcetool;
    MCE_VERSION_GET has been in MCE since v1.1.6...
  * Fixed warnings in test_mce-log.c found with gcc 4.2.1

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 07 Sep 2007 14:09:00 +0300

mce (1.6.32) unstable; urgency=low

  * Fix debug/regular packages to be build with -O2 and -g (Fixes: NB#65718)

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Thu, 30 Aug 2007 14:04:09 +0300

mce (1.6.31) unstable; urgency=low

  * Fix state of lockkey (Fixes: NB#66674)

 -- Ismo Laitinen <ismo.laitinen@nokia.com>  Mon, 27 Aug 2007 09:30:27 +0300

mce (1.6.30) unstable; urgency=low

  * Add debug packages (Fixes: NB#65718)

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Fri, 17 Aug 2007 13:29:46 +0300

mce (1.6.29) unstable; urgency=low

  * Use charger_connected/charger_disconnected rather than
    charger_charging_on charger_charging_off for display inhibit
    (Fixes: NB#65061)
  * Ignore shutdown requests and soft poweroff requests when
    the touchscreen/keypad lock is active (Fixes: NB#63565)
  * Made the delay before dimming on tklock configurable
    and increased the timeout
  * Fixed the tklock code to disable the dim timeout when unlocking
  * Initialise the cover state on mce startup (Fixes: NB#64934)

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 07 Aug 2007 13:27:32 +0300

mce (1.6.28) unstable; urgency=low

  * Added an option to mce_register_io_monitor* to choose seek behaviour
  * Made monitors from streams not seek to the beginning before reading;
    this fixes issues with empty reads

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 01 Aug 2007 17:10:30 +0300

mce (1.6.27) unstable; urgency=low

  * Do not perform ALS readings when the display is blanked
  * ALS profile adjustments
  * Minor cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 31 Jul 2007 12:15:43 +0300

mce (1.6.26) unstable; urgency=low

  * Do not enable keyboard backlight if we're in other states than USER,
    unless the alarm dialog is visible
  * Disable the keyboard backlight when system state changes to other
    states than USER
  * Made the version# check a tiny bit smarter
  * Reprogram timer for long [power] key press timeout if we receive another
    down event without an up-event between
  * Fixed two cases of incorrect usage of datapipe_get.*() macros
    in tklock.c
  * Added () in the right places to the datapipe_get.*() macros
    to avoid future problems of the same kind

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 25 Jul 2007 14:34:40 +0300

mce (1.6.25) unstable; urgency=low

  * Send alarm invisible signal to DSME before shutdown on long [power]
    keypress when alarm UI visible (Fixes: NB#51321)

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 17 Jul 2007 16:52:40 +0300

mce (1.6.24) unstable; urgency=low

  * Added module test for input_event; unfortunately this test
    needs to be run as root, so it cannot be enabled by default;
    also, it's platform specific for now; it will only work on
    a standard PC
  * Moved the modules to a sub-directory of its own in the source
  * Doh!  Fixed names of two keys in mce.ini
  * Add LL_NONE, to make it possible to completely disable logging
  * Fixed double free in mce-dsme.c

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 17 Jul 2007 16:05:43 +0300

mce (1.6.23) unstable; urgency=low

  * Added module test for mce-log

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 16 Jul 2007 23:08:39 +0300

mce (1.6.22) unstable; urgency=low

  * Modified the device lock code to listen for the reply and only
    activate the lock when locking actually takes place;
    this is to handle the lock code verification sequence properly
  * Added (disabled by default) support for double presses of [power]
  * Soft poweroff fixes
  * Fixed typo in mce.ini
  * Initialise system_state_pipe to MCE_STATE_UNDEF

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 12 Jul 2007 18:21:48 +0300

mce (1.6.21) unstable; urgency=low

  * Fixed error handling in mce-conf
  * Begun work adding module tests; if any of the module tests fail,
    building the Debian package will abort but the rest will still build,
    which allows crap to be tested, but not shipped...
  * Disabled the I/O monitoring for event-switches that we only track the
    state of for inactivity
  * Further adjustments of the PowerOn and PowerOff RGB patterns
  * Added METHOD_RETURN handler to mce-dbus; nothing uses it yet though
  * Execute the system state pipe on UI startup, to make the device lock
    work on bootup again

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 10 Jul 2007 16:00:25 +0300

mce (1.6.20) unstable; urgency=low

  * The "shiniest Mode Controller Ever" release
  * Converted event-touchscreen and event-keypress to use the new
    I/O monitor interface for binary chunks
  * Added headphone jack sense, MMC cover, device cover, battery cover,
    and USB cable activity tracking
  * Various minor cleanup
  * Added D-Bus interfaces for requesting display dimming and display blanking
  * Bumped build-dependency on mce-dev
  * Added mcetool options to dim and blank display
  * Added mcetorture tests for dim and blank display
  * Introduced a datapipe for alarm state
  * Moved (part of) the alarm handling into a separate file
  * Made the tklock handling properly trigger on display
  * Modified the tklock logic to re-disable touchscreen and keypresses
    when the alarm is snoozed or acknowledged and the tklock is active
  * Moved all logic for the touchscreen and keypress lock to tklock.[ch]
  * Moved all logic for the device lock to devlock.[ch]
  * Introduced a simplified I/O monitor for file changes

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 03 Jul 2007 18:54:59 +0300

mce (1.6.19) unstable; urgency=low

  * Added missing brackets to free_datapipe (Fixes: NB#61744)
  * Adjusted more patterns
  * Adjusted logic to enable keyboard backlight if the display state changes
    from off to on and the slide is open
    | This is not perfect, since unblanking can be triggered
    | by a D-Bus request from an application too, but for now it's good enough
  * Moved keypress event handling from powerkey.[ch] and keypad.[ch] to
    event-keypress.[ch]
  * Introduced event-touchscreen.[ch] for touchscreen events
    | Right now only taps are monitored
  * Introduced event-switches.[ch] for switch events
    | Right now only the keyboard slide is supported
  * Modified logic to disable auto-relock if the touchscreen
    is tapped when the slide is open
  * Moved [home] handling into a separate module
  * Began adding inactivity tracking
  * Fixed memory leak in mce-io.c

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 27 Jun 2007 23:36:24 +0300

mce (1.6.18) unstable; urgency=low

  * Added a trigger that unblanks the screen when the slide status changes
    (Fixes: NB#61596)
  * Added proper DBusError initialisation to connectivity status request
  * Fixed bug in autorelock logic
  * Adjusted PowerOff pattern (Fixes: NB#61396)
  * Fixed really stupid init-script bug that could be triggered if
    /var/run/mce existed but was a file rather than a directory
  * Modified debian/rules not to ignore make clean errors

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 25 Jun 2007 19:39:34 +0300

mce (1.6.17) unstable; urgency=low

  * Fixed D-Bus handler to make sure we don't eat signals; only errors
    and method calls that are addressed to us should be marked as handled

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 21 Jun 2007 16:08:46 +0300

mce (1.6.16) unstable; urgency=low

  * Corrected the name of the filter-brightness-als module in mce.ini
  * Fixed cooking of uncooked brightness values in mce-dsme
  * Simplified filter-brightness-simple a bit further

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 21 Jun 2007 15:53:48 +0300

mce (1.6.15) unstable; urgency=low

  * Fixed incorrect calls to dbus_message_get_args in powerkey.c,
    tklock.c, devlock.c, and tools/mcetool.c
  * Fixed an incorrect error-message
  * Improved the error reporting when failing to get D-Bus arguments
  * Updated front key backlight path
  * Fixed LED-code to properly initialise LED brightness pipe
  * Minor cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 18 Jun 2007 18:53:07 +0300

mce (1.6.14) unstable; urgency=low

  * Made the submode-operations use the submode pipe
  * Removed data-retrieval safeguards again; they caused more problems
    than they solved
  * Added fugly hack for mode tracking (Fixes: NB#59872)
  * Made the camera popout unlock behaviour a configuration option
  * Modified the tklock code to use silent mode if the same submode
    is activated twice

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 07 Jun 2007 16:44:56 +0300

mce (1.6.13) unstable; urgency=low

  * Added support for ALS-controlled LED brightness
  * Turned LED-pattern enabling/disabling into datapipes,
    to allow for easy use from modules; this also means that the LED-code
    should be possibly to turn into a module
  * Added PowerOn/PowerOff patterns for NJoy
  * Added support for new input device names for keyboard/keypad
  * Added a camera module to control camera pattern
  * Added code to disable the tklock when camera is popped out on the N800
  * Removed a workaround from mce-dsme
  * Refactored more code to make use of the state_pipe;
    as a result set_dsmestate/get_dsmestate has been eliminated
  * Added code to query DSME-state on startup
    to make sure that MCE has the correct state information
  * Added safeguards to data-retrieval macros

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 05 Jun 2007 19:02:52 +0300

mce (1.6.12) unstable; urgency=low

  * Modified mce_register_io_monitor_string to always return NULL
    if setting up a monitor fails
  * Re-enabled mono-patterns

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 31 May 2007 16:30:29 +0300

mce (1.6.11) unstable; urgency=low

  * Added median-filter to ALS filter
  * Added error-handling for incorrect number of fields in a LED-pattern
    | Thanks to Amit Kucheria
  * Fixed typo in example pattern
  * More abstraction using datapipes

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 30 May 2007 14:09:37 +0300

mce (1.6.10) unstable; urgency=low

  * Modified the ALS module to only poll every 60 seconds when screen
    is blank (for adjustment of LED-brightness; this is not done yet though)
  * Only update display brightness if the display is on
  * Only update the keyboard backlight brightness if it changed
    and the display is on (Fixes: NB#58326)
  * Modified backlight code to disable keyboard backlight
    when the screen dims or blanks
  * Various minor optimisations
  * Added another simple test script, this one to test charger related
    events
  * Made minor correctness fixes to mcetorture

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 25 May 2007 15:48:45 +0300

mce (1.6.9) unstable; urgency=low

  * Fixed logic for automagic relocking (Fixes: NB#57217)

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 22 May 2007 15:45:37 +0300

mce (1.6.8) unstable; urgency=low

  * Modified devlock to close the devlock UI when VoIP-mode is enabled
  * Modified the pattern behaviour to allow for some patterns to be
    visible even in acting dead mode, and made the charging + battery full
    patterns use this new functionality (Fixes: NB#57376)
  * Added further adjustments to dsme_set_disp_brightness

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 21 May 2007 14:54:56 +0300

mce (1.6.7) unstable; urgency=low

  * Added LSB-section to the init script
  * Added code to adjust brightness if it arrives raw
    to dsme_set_disp_brightness (Fixes: NB#57668)
  * Disabled mono-patterns for now, to work around a kernel oops

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 21 May 2007 12:33:17 +0300

mce (1.6.6) unstable; urgency=low

  * Modified filter-als to use a 5-step brightness scale for the display,
    and map the ALS brightness profiles to these steps
  * Modified mce-gconf to handle unset values in a proper way
    (Fixes: NB#57030)

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 15 May 2007 16:41:24 +0300

mce (1.6.5) unstable; urgency=low

  * Build-Depend on libdsme0-dev (>= 0.57) for new brightness interface
  * Abstracted out some more I/O functions to mce-io.[ch]
  * Fixed a tiny memory leak
  * Modified the device menu to reopen if the system mode changes
    (Fixes: NB#53241)
  * Fixed typo in usage information
  * Implemented ALS filtering and added ALS-policies
    for the display and keyboard backlight
  * Fixed backlight bug on N800 hardware (Fixes: NB#56253)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 14 May 2007 22:39:49 +0300

mce (1.6.4) unstable; urgency=low

  * Modified the LED-section of mce.ini to better match new LED-code
  * Added support for RGB-patterns
  * Modified the tklock to use a different tklock message
    if the device has a flicker key

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 08 May 2007 17:01:14 +0300

mce (1.6.3) unstable; urgency=low

  * Added English and Swedish manual pages for mcetorture
  * Various minor manpage fixes
  * Rewrote the filter system to be more generic; it can now take
    triggers as well as filters, and other types than gint
  * MCE now has proper support for module loading and unloading;
    the list of, and path to, the modules to load is in /etc/mce/mce.ini
  * Inactivity handling is now a real module
  * Fixed a display brightness issue on startup
  * Modified the pattern list to Use memory slices
  * Abstracted out some I/O functions to mce-io.[ch]
  * Added support for keyboard/keypad backlight
  * Added support for keyboard slide
  * Added support for lock flicker key
  * Various code refactoring

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 26 Apr 2007 14:25:50 +0300

mce (1.6.2) unstable; urgency=low

  * Initial support for lock key
  * Added more options for touchscreen/keypad lock behaviour
  * Renamed the group for tklock related configuration options
    from "Device Menu" to "TKLock" in mce.ini
    | We might want to add back a "Device Menu" group some time in
    | the future, but for now it's unused, and thus removed
  * Added options to force logging to stderr or syslog
  * Added a filter system; filter chains can now be registered,
    to allow for fun stuff such as ambient light sensors
  * Added module loading
  * Added an ALS filter plugin (for now just a stub)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 12 Apr 2007 10:56:16 +0300

mce (1.6.1) unstable; urgency=low

  * Corrected blanking inhibit
  * Added missing #include <string.h>
  * Cleanup
  * Removed "-DDBUS_API_SUBJECT_TO_CHANGE"; we're now using D-Bus 1.0!

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 13 Mar 2007 14:40:54 +0200

mce (1.6.0) unstable; urgency=low

  * Do not return FALSE from mce_set_mode if mode is same as old mode
    (Fixes: NB#51098)
  * Removed inactivity state workaround
    | API-break!
  * Install mcetorture as part of mcetools
  * Added `--no-status' option to mcetool
  * Fixed a memory leak in get_version
  * Added support for keeping the display on when the charger is connected
  * Improved mce-log to support logging to stderr
  * Modified MCE to log to stderr if `--daemonflag' isn't specified
  * Do not close shared D-Bus connections
  * Readded testmode (renamed to `--debug-mode') option,
    to allow running MCE when DSME isn't present
  * Split {kp,ts}_{en,dis}able into separate functions
  * Bump Standards-Version

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  7 Mar 2007 09:21:12 +0200

mce (1.5.25) unstable; urgency=low

  * Blank immediately when user activates the tklock manually
    | The old behaviour is still available as a configation option
    | in mce.ini (Fixes: NB#50627)
  * Cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 19 Jan 2007 14:32:17 +0200

mce (1.5.24) unstable; urgency=low

  * Export is_eveater_enabled
  * Always enable touchscreen/keypad on unblank in user state
  * Disable event eater when screen is unblanked
    (Fixes: NB#49404)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 14 Dec 2006 12:38:55 +0200

mce (1.5.23) unstable; urgency=low

  * Add support for DSM_MSGTYPE_STATE_ACTIVE_IND (Fixes: NB#48722)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 30 Nov 2006 14:08:10 +0200

mce (1.5.22) unstable; urgency=low

  * Never allow device autolock when in VOIP-mode; should simplify the
    device autolock logic (Fixes: NB#48329)
  * Delay for 10 seconds after a modetransition has begun before allowing
    long powerkey press (Fixes: NB#47594, NB#47797)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 29 Nov 2006 14:07:21 +0200

mce (1.5.21) unstable; urgency=low

  * Modify LED-framework to recompute the LED-stack on display state changes
    (Fixes: NB#47116)
  * Re-enable touchscreen/keypad when unlock is requested (Fixes: NB#47745)
  * Added D-Bus signal and method call for display state
  * Cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 23 Nov 2006 12:53:02 +0200

mce (1.5.20) unstable; urgency=low

  * Add screen_on argument to LED-patterns (Fixes: NB#44276)
  * Use new LED-framework interface, to allow idle retention
  * Minor manpage fixes
  * Do not activate the PowerOn and PowerOff patterns by default
  * Disable charging pattern when battery is full (Fixes: NB#45415)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 30 Oct 2006 13:42:07 +0200

mce (1.5.19) unstable; urgency=low

  * Add PatternCommunicationEvent to the list of configured patterns
    (Fixes: NB#43780)
  * Do not disable the LED if we're exiting MCE because of shutdown
    (Fixes: NB#43783)
  * Disable PowerOn-pattern when desktop startup signal arrives
    (Fixes: NB#43784)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 19 Oct 2006 16:26:41 +0300

mce (1.5.18) unstable; urgency=low

  * Fix typo in mce.8
  * Base BOOTUP-flag on /var/run/mce/call, not on /var/run/mce.pid,
    since the latter does not exist when we're started using dsmetool
    (Fixes: NB#42667)
  * Fix init-script bug

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 10 Oct 2006 11:58:40 +0300

mce (1.5.17) unstable; urgency=low

  * Display LED patterns for poweron and poweroff (Fixes: NB#41214)
  * Move /var/lib/mce/call to /var/run/mce/call since this state file
    does not need to be preserved across boots (Fixes: NB#41357)
  * Updated LED-patterns

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 27 Sep 2006 15:49:20 +0300

mce (1.5.16) unstable; urgency=low

  * Modified to build against the new osso-systemui-dbus-dev package

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 22 Sep 2006 14:20:04 +0300

mce (1.5.15) unstable; urgency=low

  * Activate Battery LED patterns when needed
    | Thanks to Ismo Laitinen
  * Listen to BME signals not method calls
    | Thanks to Ismo Laitinen

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 19 Sep 2006 14:43:46 +0300

mce (1.5.14) unstable; urgency=low

  * Check if the powerkey_timeout_cb_id is set before removing it
    (Fixes: NB#39424)
  * Adapt MCE to the new touchscreen disable sysfs-interface. The value
    written is also reversed. (Fixes: NB#40600)

 -- Ismo Laitinen <ismo.laitinen@nokia.com>  Mon, 18 Sep 2006 11:47:08 +0300

mce (1.5.13) unstable; urgency=low

  * Added more charging patterns
  * Show the DeviceOn pattern whenever the screen is blanked;
    this will definitely make our usetime targets impossible to meet
  * Use G_STRINGIFY instead of own implementation

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 30 Aug 2006 17:17:30 +0300

mce (1.5.12) unstable; urgency=low

  * Send thermal_shutdown_ind signal if the device needs to shut down
    due to thermal constraints
  * Only write the mode to /var/lib/mce/mode if the mode is actually
    different from the old mode (Fixes: NB#38052)

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 22 Aug 2006 14:19:05 +0300

mce (1.5.11) unstable; urgency=low

  * Return type from query_event is DBUS_TYPE_INT32 not DBUS_TYPE_INT64

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 16 Aug 2006 12:15:39 +0300

mce (1.5.10) unstable; urgency=low

  * Add support for querying pending alarms from alarmd
  * Shutdown instead of powerup on long power press in acting dead mode
    alarm submode (Fixes: NB#37807)
  * Bump build-dependency on libalarm-dev to 0.2.8, to make sure we get
    the D-Bus related header-file

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 15 Aug 2006 14:33:55 +0300

mce (1.5.9) unstable; urgency=low

  * Fix LED-pattern deactivation
  * Don't forget to program the LED brightness when the pattern is activated
  * Modified ledtest.sh to test things more sensibly
  * Fixed more memory leaks

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 14 Aug 2006 19:12:07 +0300

mce (1.5.8) unstable; urgency=low

  * Lots of g_clear_error sprinkling (Fixes: NB#37218)
  * Fixed possible memory leaks in error cases when using g_io_channel
  * Add an example pattern to mce.ini
  * Don't wake up to reprogram the LED timer unless it's needed

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 10 Aug 2006 11:18:53 +0300

mce (1.5.7) unstable; urgency=low

  * Fixed the example pattern for Poweron
  * Improved LED tests

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  1 Aug 2006 17:28:13 +0300

mce (1.5.6) unstable; urgency=low

  * Remove unused pkg-config entry

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Jul 2006 15:01:21 +0300

mce (1.5.5) unstable; urgency=low

  * The "Doh!  Bump the build dependencies!" release

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Jul 2006 14:39:23 +0300

mce (1.5.4) unstable; urgency=low

  * Add the kernel interface part for the LED-code
  * Added support for this new interface to mcetool
  * Various minor fixes to mcetool
  * use_led is a boolean, not an integer
  * Use new touchscreen disabling interface

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Jul 2006 11:33:31 +0300

mce (1.5.3) unstable; urgency=low

  * Close the D-Bus connection properly in mcetool too

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 15 Jun 2006 12:02:19 +0300

mce (1.5.2) unstable; urgency=low

  * Fix shadowing of length variable in led.c
  * It seems dbus_connection_close() is needed before
    dbus_connection_unref() after all, let's hope this doesn't
    trigger any new bugs (Fixes: NB#32585)
  * Make the snooze delay 2 minutes instead of 5 minutes
  * Add new method call: get_inactivity_status
  * Minor cleanups

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 14 Jun 2006 15:50:25 +0300

mce (1.5.1) unstable; urgency=low

  * Fix stupid error in device lock code changing D-Bus reply handling

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 31 May 2006 17:13:12 +0300

mce (1.5.0) unstable; urgency=low

  * Add interface for changing the device lock code
  * Generate thumb code
  * Add support for LED patterns
  * Minor cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 31 May 2006 09:46:43 +0300

mce (1.4.15) unstable; urgency=low

  * Set dim/blank timeouts both when booting to acting dead
    and when the automatic device lock is enabled (Fixes: N#25386, N#26648)
  * Do not react to short [power] press when the alarm systemui is shown
    (Fixes: N#26859)
  * Set alarm state to off if the device is shutdown when the alarm
    systemUI is visible
  * Add "silent-locked", "locked-dim", and "silent-locked-dim"
    to the tklock modes that can be requested over D-Bus

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 21 Apr 2006 17:53:42 +0300

mce (1.4.14) unstable; urgency=low

  * Code abstraction (slow steps towards true modularity)
  * Renamed some functions for consistency
  * Doxygen tags for the final few things in mcetool
  * Make lock delays and shutdown query timeout configurable
  * Doh!  KEY_F8 is *not* a good fallback for the [POWER] key,
    since it's already use for the [DECREASE] key; use KEY_F9 instead
  * More changes for the dain-bramaged alternate touchscreen event
    disabling interface

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 27 Mar 2006 14:39:15 +0300

mce (1.4.13) unstable; urgency=low

  * Seems it should be omap_uwire, not omap-uwire;
    ahhh, lovely inconsistency =/
  * Fix initscript to make stop action work properly with dsmetool
  * More doxygen updates for mcetool; still not finished

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 22 Mar 2006 13:13:48 +0200

mce (1.4.12) unstable; urgency=medium

  * Fixed bug in powerkey logic, with a combination of the modechange
    dialog and the automatic tklock, you could end up in a situation
    where you couldn't unlock the devicelock with the normal combination
    (Fixes: N#24500)
  * Added mce-conf; MCE can now take configuration options
    from a configuration file (/etc/mce/mce.ini)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 20 Mar 2006 20:07:45 +0200

mce (1.4.11) unstable; urgency=low

  * The "Documentation is good, more documentation is better!"
  * Add doc target to Makefile
  * Fix various doxygen tag bugs
  * Add comments to various places
  * Use DBUS_SERVICE_DBUS instead of "org.freedesktop.DBus" directly
  * Add a wrapper function for the logging, mce_log, and convert all
    parts of mce to use it
  * Remove build-dependency on libosso (since we do logging ourselves now)
  * Add `--verbose' and `--quiet' options, to increase and decrease
    verbosity, respectively

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 14 Mar 2006 15:04:03 +0200

mce (1.4.10) unstable; urgency=low

  * Support alternate touchscreen event disabling interface
  * Added support to mcetool for changing and displaying
    the touchscreen/keypad lock mode
  * Fixed display of touchscreen/keypad autolock status in mcetool
  * Reorder entries in mcetool status display a bit
  * Fix incorrect pre-processor directive in mce-dsme.c

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  7 Mar 2006 09:17:12 +0200

mce (1.4.9) unstable; urgency=low

  * Support running mce on x86 (add fallbacks for [HOME] and [POWER])
  * Support alternate name for keypad event device
  * Still start even if the [HOME] and/or [POWER] devices does not exist
  * Don't dereference h->name after it's been freed
  * Fix incorrect debug message
  * Re-enable alarm support
  * Add support for alarm icon + message to mcetool
    (only works with osso-systemui-alarm >= 0.1.5.1)
  * Bump Recommends, readd Build-Depends for alarm

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 28 Feb 2006 15:45:49 +0200

mce (1.4.8.1) unstable; urgency=low

  * Workaround for stupid bug in libdbus-glib-1-2 *grumble*

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 14 Feb 2006 16:11:36 +0200

mce (1.4.8) unstable; urgency=low

  * Add debugging information to keypress_event.c

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 13 Feb 2006 14:24:47 +0200

mce (1.4.7) unstable; urgency=low

  * Send tklock mode change signals
  * Build-Depends: osso-systemui-powerkeymenu-dev (>= 0.1.4.7)
    to get the latest return value defines
  * Implemented soft poweroff support

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 10 Feb 2006 14:51:11 +0200

mce (1.4.6) unstable; urgency=low

  * Make sure device autolock causes devicelock to be enabled on bootup
    from acting dead (Fixes: N#22619)
  * Dim the device lock menu entry in "voip"-mode
  * Send "normal" instead of "voip"
  * Fix memory leak and invalid pointer dereference in mcetool

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  7 Feb 2006 12:20:41 +0200

mce (1.4.5) unstable; urgency=low

  * Initial "voip"-mode support
  * Added new D-Bus API's: "get_tklock_mode" and "req_tklock_mode_change"
  * Bump build-dependency on mce-dev, to get a version that supports the
    new API

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  1 Feb 2006 13:57:58 +0200

mce (1.4.4) unstable; urgency=low

  * Improved D-Bus matching
  * Changelog cleanup
  * Added bme-dbus-proxy to mce's Recommends,
    and bumped the recommended version of mce for mcetools

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  1 Feb 2006 11:23:38 +0200

mce (1.4.3) unstable; urgency=high

  * Modified mce_dbus_handler_add and mce_dbus_handler_remove to handle
    a rules argument, for adding extra matching rules
  * Made MCE wait for desktop startup before setting initial display settings
  * Fix stupid cut'n'paste bug in mce-dsme.c (Fixes: N#22517)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 30 Jan 2006 16:14:43 +0200

mce (1.4.2) unstable; urgency=high

  * Fix broken device lock logic
  * Revert 1.4.1 change; use a normal connection,
    but only unreference it instead; never close it

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 27 Jan 2006 17:30:59 +0200

mce (1.4.1) unstable; urgency=low

  * Open a private bus connection, to get a sensible interface when
    closing the bus (the close/unref mess is just sooo messed up)
  * Improved D-Bus error reporting

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 25 Jan 2006 19:01:11 +0200

mce (1.4.0) unstable; urgency=low

  * Refactored dbus handling
  * Use g_slist_prepend instead of g_slist_append since it's more efficient
    | Granted, the cases were we use it are not really performance
    | critical, but let's promote good programming
  * Added more comments
  * Various minor fixes

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 23 Jan 2006 18:20:32 +0200

mce (1.3.5) unstable; urgency=medium

  * Doh!  waitdbus is in /usr/sbin, not in /usr/bin (Fixes: N#22254)

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  9 Jan 2006 16:39:22 +0200

mce (1.3.4) unstable; urgency=low

  * Enable debugging

 -- David Weinehall <david.weinehall@nokia.com>  Thu,  5 Jan 2006 16:44:39 +0200

mce (1.3.3) unstable; urgency=low

  * Remove local re-defines of values provided by linux/input.h

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  4 Jan 2006 12:39:31 +0200

mce (1.3.2) unstable; urgency=low

  * Disable alarm-support for now

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  3 Jan 2006 17:14:12 +0200

mce (1.3.1) unstable; urgency=low

  * Make sure the devicelock status is saved as soon as we enable it
  * More D-Bus 0.50 API migration; dbus_message_append_args_valist
    requires its arguments to be pass-by-reference in the new API
    | Unless there are some undocumented changes between 0.50 and 0.60,
    | this version of MCE *should* also work with D-Bus 0.60
  * Do not unreference dbus-message in dbus_send,
    it's unreferenced by dbus_send_message

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 21 Dec 2005 13:44:08 +0200

mce (1.3.0) unstable; urgency=low

  * The "And now for some real fun" release
  * Migrate to D-Bus 0.50 API

 -- David Weinehall <david.weinehall@nokia.com>  Thu,  1 Dec 2005 16:22:25 +0200

mce (1.2.3) unstable; urgency=low

  * Fix error handling in mcetool (several incorrect uses of dbus_error)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 24 Nov 2005 14:55:01 +0200

mce (1.2.2) unstable; urgency=low

  * Make the [HOME] delay 0.8s instead of 1.5s (Fixes: N#21540)

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 24 Nov 2005 14:32:33 +0200

mce (1.2.1) unstable; urgency=low

  * Added mcetorture2.sh
  * Clean up source code a little (i.e. more comments)

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Nov 2005 16:16:10 +0200

mce (1.2.0) unstable; urgency=low

  * Split mce-dev into separate package, to remove circular build-depends
  * Start MCE earlier and wait until D-Bus system bus is up
    (Fixes: N#21069)

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  7 Nov 2005 00:07:01 +0200

mce (1.1.6) unstable; urgency=low

  * Added D-Bus method_call to get the MCE-version
  * Make mce_gconf_set_int() always suggest sync,
    to minimise risk for dataloss (Hopefully fixes: N#20980)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 31 Oct 2005 16:31:00 +0200

mce (1.1.5) unstable; urgency=low

  * Show tklock instructions on long [POWER] keypress too
    (Fixes: N#20932)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Oct 2005 14:48:49 +0300

mce (1.1.4) unstable; urgency=low

  * Added torture test script
  * Add missing build-dependency on osso-systemui-alarm-dev

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 26 Oct 2005 12:32:31 +0300

mce (1.1.3) unstable; urgency=low

  * Add missing include to mce.c
  * Abstract out dsmesock_send

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 17 Oct 2005 19:17:52 +0300

mce (1.1.2) unstable; urgency=low

  * Fix a nasty bug in the exit-function for mce-dsme
    | Thanks to Devesh Kothari

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 17 Oct 2005 17:42:44 +0300

mce (1.1.1) unstable; urgency=low

  * Forward ported mcetool functionality from mce 1.0.5 (Fixes N#19185):
    o Added functionality to mcetool to open/close the alarm dialog
      and to set and disable the alarm clock
    o Added functionality to mcetool to open/close the tklock
    o Updated mcetool manual accordingly

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 11 Oct 2005 20:43:19 +0300

mce (1.1.0) unstable; urgency=low

  * Eat the first press of [HOME] and [POWER] when the screen is blank
    (Fixes: N#19968, N#19973)

 -- David Weinehall <david.weinehall@nokia.com>  Fri,  7 Oct 2005 19:04:16 +0300

mce (1.0.4) unstable; urgency=low

  * Added functionality to mcetool to open/close the devicelock dialog
  * Updated mcetool manual accordingly
  * Source code cleanup
    | Only comments modified
  * Make enable_eventeater() static

 -- David Weinehall <david.weinehall@nokia.com>  Fri,  7 Oct 2005 18:08:32 +0300

mce (1.0.3) unstable; urgency=low

  * Added English and Swedish manual pages for MCE
  * Fixed several manpage typos
  * Move SYSTEMUI_GCONF_DEVICE_AUTOLOCK_ENABLED_PATH
    to mcetool.h instead, since it's not used by MCE itself
    | Preferably this should be taken from some -dev package instead,
    | but...
  * Added functionality to mcetool to open/close startup and shutdown
    splashscreens
  * Added functionality to mcetool to open/close the modechange
    confirmation dialog
  * Added functionality to mcetool to open/close the powerkey menu
  * Added functionality to mcetool to open/close the actingdead UI

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  5 Oct 2005 17:59:08 +0300

mce (1.0.2) unstable; urgency=low

  * Init processwd in mce_init() and exit processwd in mce_exit()
  * Added English and Swedish manual pages for mcetool
  * Fix minor typos in the devlock-blocker manual pages

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 19 Sep 2005 14:18:07 +0300

mce (1.0.1) unstable; urgency=low

  * Improved mcetool; added support for:
    * blank prevent request
    * unblank screen request
    * powerup request
    * reboot request
    * shutdown request
  * Added English and Swedish manual pages for devlock-blocker

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 17 Sep 2005 15:57:45 +0300

mce (1.0.0) unstable; urgency=low

  * The "I expect the first brown paper bag within a minute" release
  * Boldly declare this as 1.0.0
  * Enable tklock silently when autolocking and for event eater
    (Fixes: N#17757)
  * Do not cancel shutdown if the charger is reconnected if battery is empty
  * Shutdown 5 seconds after battery empty
  * Simplify pkg-config flags
    | Thanks to Eero Tamminen

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 13 Sep 2005 19:51:13 +0300

mce (0.9.18) unstable; urgency=low

  * Special handling for blank vs dim timeout overlaps
  * Add support for DSME watchdog

 -- David Weinehall <david.weinehall@nokia.com>  Sat, 10 Sep 2005 17:30:56 +0300

mce (0.9.17) unstable; urgency=low

  * Delay for 10 seconds on battery empty message before requesting
    shutdown, to make sure that the user has an opportunity
    to connect the charger
  * If charger is connected during the 10 second delay, cancel shutdown
  * Disable all timers on shutdown
  * Use the new rtc_alarm_time GConf entry to get the alarm

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 31 Aug 2005 23:22:45 +0300

mce (0.9.16) unstable; urgency=medium

  * Doh!  Restore value for total failures to device_lock_total_failed,
    NOT to device_lock_failed, since the alternative causes lock code
    to be asked even when the last code entry was indeed correct
    (Fixes: N#18250)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 29 Aug 2005 15:32:32 +0300

mce (0.9.15) unstable; urgency=low

  * Print debug message about DSME message type in hex instead of decimal
  * Modify splash behaviour a bit when shutting down to acting dead,
    to avoid a visual glitch
  * Modify tklock behaviour to handle corner cases
  * Disable devicelock autolock timeout in the correct way

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 24 Aug 2005 14:09:01 +0300

mce (0.9.14) unstable; urgency=low

  * Send replies to all method_calls that expect them
  * Set no_reply for the calls to SystemUI
  * More codingstyle fixes
  * Revert flight mode change from 0.9.12

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 19 Aug 2005 15:52:50 +0300

mce (0.9.13) unstable; urgency=low

  * Implemented support for proper keypad and touchscreen lock
    (disabling of those events on a kernel level, through sysfs)
    (Fixes: N#15142)
  * Also disable keypad and touchscreen in acting dead state

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 18 Aug 2005 14:40:38 +0300

mce (0.9.12) unstable; urgency=high

  * Always report flight-mode when state != DSME_STATE_USER
  * Assume failed D-Bus calls to wlancond/btcond to mean open connections;
    while this is highly improbable (it's more likely that this means that
    networking isn't functional), it's better to ask and be safe, than
    not ask and be sorry...  This makes MCE survive unavailability of
    wlancond/btcond, thus high urgency, since that situation is
    triggerable in the wild (Fixes: N#17332)
  * Fix alarm state setting code (Fixes: N#16057)
  * First close powerkey menu, *then* perform action

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 16 Aug 2005 13:26:08 +0300

mce (0.9.11) unstable; urgency=low

  * Make sure that we don't send both long and short keypress event for [HOME]
  * Minor cleanup
  * Removed testmode

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  8 Aug 2005 15:05:08 +0300

mce (0.9.10) unstable; urgency=low

  * Add D-Bus interface for alarm mode changes (Fixes: N#15736)
    | Thanks to Ismo Laitinen for patch
  * Fix debugging statement in mcetool
    | Thanks to Ismo Laitinen for reporting the bug
  * Modify Makefile to use pkg-config also for libdsme and libcal
  * Build-Depends: libdsme0-dev (>= 0.29)
  * Implement devicelock code validation properly

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 22 Jul 2005 08:09:26 +0300

mce (0.9.9) unstable; urgency=low

  * Doh!  Restore code to enable autokeylock... (Fixes: N#15576)
  * As per request, modify cover open tklock event to show infoprint
    (Fixes: N#15353)
  * Add stub code for devicelock code validation

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 15 Jul 2005 11:19:18 +0300

mce (0.9.8) unstable; urgency=low

  * Only send inactivity D-Bus signal if the state has changed
    (Fixes: N#15114)

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 29 Jun 2005 16:15:19 +0300

mce (0.9.7) unstable; urgency=low

  * Always close powerkeymenu after callback is called
  * Better handling of osso-systemui restarts
  * Fix stupid typo wrt inactivity handling

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 28 Jun 2005 13:29:25 +0300

mce (0.9.6) unstable; urgency=low

  * Do not react on [POWER] if the modechange confirmation
    dialogue is shown (Fixes: N#14008)
  * Send D-Bus message when system changes from inactive to active
  * Fix incorrect handling of device autolock timeout
    (Fixes: N#14112, N#14439)
  * Handle [HOME] in a more correct manner (Fixes: N#14285)

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 13 Jun 2005 16:39:04 +0300

mce (0.9.5) unstable; urgency=low

  * Fix argument types used with D-Bus
    (dbus_bool_t instead of gboolean, dbus_uint32_t instead of guint32, etc.)
  * Make snooze on shutdown work properly
  * Code cleanup for D-Bus code
  * Fix stupid display blank vs dim timeout bug (Fixes: N#13687)

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  1 Jun 2005 17:22:31 +0300

mce (0.9.4) unstable; urgency=low

  * Added `--reset-passwd' to mcetool

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 30 May 2005 13:39:26 +0300

mce (0.9.3) unstable; urgency=low

  * Added a boolean argument to inactivity signal;
    TRUE means inactivity, FALSE means activity
  * Begun restructuring of the code
  * Readded devlock-blocker (Fixes: N#10510)
  * Home key has moved to KEY_F5 now, it seems (Fixes: N#13151)

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 27 May 2005 11:19:51 +0300

mce (0.9.2) unstable; urgency=low

  * Fix dependencies for tools
  * Added reading of gconf values to mcetool

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 20 May 2005 13:22:57 +0300

mce (0.9.1) unstable; urgency=low

  * Added support for TKLOCK_TIMEOUT
  * Use pkg-config also for osso-clock

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 17 May 2005 14:33:52 +0300

mce (0.9.0) unstable; urgency=low

  * New package: mcetools
    | For now it only provides one program; mcetool
  * Fix memory leak; free string array from BTCOND_GET_BDA_LIST_REQ
  * Removed the devlock-blocker
  * Always send mode names based on lookup table,
    to avoid confusion because of aliases

 -- David Weinehall <david.weinehall@nokia.com>  Mon, 16 May 2005 18:32:19 +0300

mce (0.8.8) unstable; urgency=low

  * Bluetooth support for connection checking
  * Don't show splashscreen on bootup,
    only when changing from acting dead to normal state
  * Use a nice value of -1 when starting MCE using dsmetool

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 13 May 2005 14:52:03 +0300

mce (0.8.7) unstable; urgency=low

  * Only ask about for confirmation about flight-mode
    if there are open connections
    | bluetooth is not checked at the moment
  * Make the device lock delays 0, 1, 1, 5 instead of 0, 1, 30, 300
  * Removed osso-log.h; use the one from libosso

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 13 May 2005 00:03:54 +0300

mce (0.8.6) unstable; urgency=low

  * Added event eating on inactivity
  * Send data save event on battery low
  * Play sound on shutdown from user state
  * open/close tklock without infoprints if we're not in USER state
    and when auto-locking/auto-unlocking

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 10 May 2005 19:42:56 +0300

mce (0.8.5) unstable; urgency=low

  * Remove shutdown query timeout when doing a shutdown
    from device lock shutdown query
  * Added a Recommends: dsme, for the DSME lifeguard
  * Set default brightness to 5 instead of 9
  * Added dialogue that asks for confirmation
    before changing to/from flight mode
  * Build-Depends: osso-systemui-modechange
  * Cleanup
  * Fix (extremely) theoretical loop-around bug with device lock

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  2 May 2005 08:44:00 +0300

mce (0.8.4) unstable; urgency=low

  * On popular request, add pkg-config file
  * Added version number check
  * Add 30 second timeout in shutdown dialogue from device lock
  * Always offer shutdown when cancel is pressed from device lock

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 27 Apr 2005 14:45:52 +0300

mce (0.8.3) unstable; urgency=low

  * Doh! close() pidfile...
  * Detect if this is the first time we start MCE or if it's been restarted
  * Only show shutdown question from devicelock on bootup
  * Clear input on press of cancel in devicelock mode, *except*
    when input has been disabled during timeout
  * Added (disabled for now) feature to bootup directly to flight mode
  * Make the delay slightly shorter when powering up from acting dead

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 22 Apr 2005 17:58:10 +0300

mce (0.8.2) unstable; urgency=low

  * Show shutdown question from devicelock
  * Make sure powerkeymenu is closed on shutdown
  * Close down powerkeymenu and tklock if MCE is restarted,
    to ensure that MCE doesn't end up confused about the mode it's in
  * Don't install devlock-blocker by default; it's not needed
    Keep it for now in the source tree, though

 -- David Weinehall <david.weinehall@nokia.com>  Thu, 21 Apr 2005 23:31:42 +0300

mce (0.8.1) unstable; urgency=low

  * Moved call to g_type_init to mce-gconf, since that file is the
    only user of GType
  * Added devlock-blocker
    | This program will block if loaded when the device is locked
    | and exits as soon as the device is unlocked again
  * Removed unused defines from dbus-names.h
  * Start MCE using dsmetool (if available) unless USE_DSMETOOL=no
  * devicelock on boot if shutdown from devicelock
    or if device autolock is enabled
  * Don't show devicelock in acting dead state

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 12 Apr 2005 13:17:04 +0300

mce (0.8.0) unstable; urgency=low

  * Before requesting a shutdown from DSME, update the alarm state,
    to make sure that no alarms fire during shutdown phase
    (If there's pending alarms, DSME will go to acting dead state instead)
  * Change offline back to flight...
  * Fix wakeup from acting dead and reboot request to work properly
  * Added D-Bus method and signal for information about device lock mode
  * Refactored some code

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 29 Mar 2005 19:46:09 +0300

mce (0.7.7) unstable; urgency=low

  * const sprinkling
  * Fixed bugs in error callbacks

 -- David Weinehall <david.weinehall@nokia.com>  Fri,  4 Mar 2005 11:22:54 +0200

mce (0.7.6) unstable; urgency=low

  * Change the Depends: osso-systemui-tklock (>= 0.0.4.6)
    to a Conflicts: osso-systemui-tklock (<< 0.0.4.6), since we really
    don't want MCE to depend directly on systemui-components
  * Bump the Build-Depends on osso-systemui-tklock-dev to match
    version of the Conflicts on osso-systemui-tklock

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  1 Mar 2005 10:27:39 +0200

mce (0.7.5) unstable; urgency=low

  * Auto enabling/disabling of locks should only happen in user state

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 22 Feb 2005 16:38:09 +0200

mce (0.7.4) unstable; urgency=low

  * Added timeout between tklock enable and dim request
  * Added timeout between cover open and tklock disable
  * Reenable device autolock
    (depends on device autolock module in DSME)
  * Added missing break to tklock unlock code

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 22 Feb 2005 16:13:48 +0200

mce (0.7.3) unstable; urgency=low

  * Flight mode --> Offline mode, as per ideas from above
  * Reenabled tklock

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 18 Feb 2005 14:05:53 +0200

mce (0.7.2) unstable; urgency=low

  * Create /var/lib/mce too, and install a mode-file in it...
    | Thanks to Johan Hedberg for finding it

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 16 Feb 2005 12:39:30 +0200

mce (0.7.1) unstable; urgency=low

  * Disabled tklock (except for with cover) and automatic devicelock,
    since the functionality in systemui-tklock and DSME they depend on
    doesn't work properly

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 15 Feb 2005 16:58:35 +0200

mce (0.7.0) unstable; urgency=low

  * Added build-depends on osso-systemui-dev, osso-systemui-powerkeymenu-dev,
    osso-systemui-tklock-dev, osso-systemui-devlock-dev,
    osso-systemui-splashscreen-dev, and osso-systemui-actingdead-dev
  * Implemented logic for touchscreen/keypad and device locks
  * Enable touchscreen/keypad lock and device lock when closing the cover,
    disable touchscreen/keypad lock when opening the cover
  * Fixed bug in logic for [POWER] wrt short keypress
    | Thanks to Ismo Laitinen for reporting the bug
  * Doh!  Fixed really stupid bug in mce_get_mode_string and mce_set_mode
    | Thanks to Ismo Laitinen for reporting the bug
  * MCE now stores the mode in /var/lib/mce/mode

 -- David Weinehall <david.weinehall@nokia.com>  Sun, 13 Feb 2005 17:43:13 +0200

mce (0.6.1) unstable; urgency=low

  * Install at init level 25 instead of 30 to make sure we're already
    running when btcond is started
    | Requested by Johan Hedberg
  * Added build-depends on libgconf2-dev

 -- David Weinehall <david.weinehall@nokia.com>  Thu,  3 Feb 2005 14:40:14 +0200

mce (0.6) unstable; urgency=low

  * Call the SystemUI powerkey menu when [POWER] is pressed (short press)
    | Handle shutdown, flight mode, and normal mode for now;
    | touchscreen/keypad and device locks has not been implemented yet
  * Call SystemUI shutdown splashscreen when shutting down or rebooting
  * Call SystemUI actdead when changing to acting dead state
  * Fixed missing build-depends on dbus-1-dev and dbus-glib-1-dev

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  2 Feb 2005 09:32:06 +0200

mce (0.5.5) unstable; urgency=low

  * Added new D-Bus method; req_reboot

 -- David Weinehall <david.weinehall@nokia.com>  Fri, 21 Jan 2005 10:26:17 +0200

mce (0.5.4) unstable; urgency=low

  * Moved mode-names.h to mce-dev

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 19 Jan 2005 15:11:54 +0200

mce (0.5.3) unstable; urgency=low

  * Implemented get_device_mode

 -- David Weinehall <david.weinehall@nokia.com>  Wed, 19 Jan 2005 15:00:53 +0200

mce (0.5.2) unstable; urgency=low

  * Set defaults for values from gconf if those cannot be read

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 18 Jan 2005 16:26:16 +0200

mce (0.5.1) unstable; urgency=low

  * bme-dbus-proxy changed back to bme_empty from bme_recharge

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 18 Jan 2005 15:16:11 +0200

mce (0.5) unstable; urgency=low

  * Implemented sig_device_mode_ind and req_device_mode_change
    | This means that MCE now handles changes to/from flight mode
  * Various cleanup
  * Added gconf support
  * Implemented emergy shutdown on battery empty

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 18 Jan 2005 08:25:56 +0200

mce (0.4.1) unstable; urgency=low

  * Doh...  2 seconds, not 2 milliseconds
  * Oh, and the pidfile should be mce.pid, nothing else...

 -- David Weinehall <david.weinehall@nokia.com>  Wed,  1 Dec 2004 09:20:50 +0200

mce (0.4) unstable; urgency=low

  * Removed -n from dh_installinit
  * Only send a shutdown request to DSME if we're in user state;
    if we're acting dead, send a power-up request instead
  * Scan for the correct /dev/input/event-files, don't just assume
    that the keypad is event0 and [POWER] is event2
  * Added logging
  * Added improved debugging functionality

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 30 Nov 2004 14:12:05 +0200

mce (0.3) unstable; urgency=low

  * Use the GMainLoop; hook up dsmesock and powerkey to it
  * Added D-Bus interface; most of the code is a cleaned up version
    of dsme-dbus-proxy
  * Added init-file
  * Added framework for checking [HOME] as well

 -- David Weinehall <david.weinehall@nokia.com>  Tue, 16 Nov 2004 18:00:09 +0200

mce (0.2) unstable; urgency=low

  * Depend on at least libdsme0-dev (>= 0.12)

 -- David Weinehall <david.weinehall@nokia.com>  Tue,  2 Nov 2004 18:16:52 +0200

mce (0.1) unstable; urgency=low

  * Initial Release

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  1 Nov 2004 14:11:16 +0200
